> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Airports

> List supported airports with IATA codes for flight search



## OpenAPI

````yaml api-reference/openapi.json GET /pms/api/external/request/flights/airports/
openapi: 3.1.0
info:
  title: PayVessel API
  description: >-
    PayVessel API for accepting payments, sending money, verifying identities,
    and managing wallets
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - {}
paths:
  /pms/api/external/request/flights/airports/:
    get:
      tags:
        - Flights
      summary: Get Airports
      description: >-
        Returns a cached list of supported airports. Filter by airport name,
        city, or IATA code using the `search` query parameter.
      operationId: flightAirportsList
      parameters:
        - name: api-key
          in: header
          description: Your PayVessel public API key
          required: true
          schema:
            type: string
        - name: api-secret
          in: header
          description: Your PayVessel API secret
          required: true
          schema:
            type: string
        - name: search
          in: query
          required: false
          description: >-
            Filter airports by IATA code, airport name, or city
            (case-insensitive)
          schema:
            type: string
      responses:
        '200':
          description: Airports retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlightAirportsResponse'
              examples:
                success:
                  summary: Airport list
                  value:
                    status: true
                    message: Airports retrieved successfully
                    data:
                      - IATA: LOS
                        AirportName: Murtala Muhammed International Airport
                        CityName: Lagos
                        CountryCode: NG
                      - IATA: ABV
                        AirportName: Nnamdi Azikiwe International Airport
                        CityName: Abuja
                        CountryCode: NG
                      - IATA: LHR
                        AirportName: Heathrow Airport
                        CityName: London
                        CountryCode: GB
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden — flight booking access not enabled for this business
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Flight service temporarily unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FlightAirportsResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/FlightAirportObject'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    FlightAirportObject:
      type: object
      properties:
        IATA:
          type: string
          description: 3-letter IATA airport code
        AirportName:
          type: string
        CityName:
          type: string
        CountryCode:
          type: string
          description: ISO 2-letter country code

````